aboutsummaryrefslogtreecommitdiff
path: root/src/node/install.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-12-02 20:48:04 +0300
committerGitHub <noreply@github.com>2022-12-02 20:48:04 +0300
commit7a47fbff000bff65bec9fa4687eed87cc0bc39c3 (patch)
tree54b61ea9f66113bbdbd7536814607a1bf8bbea07 /src/node/install.sh
parent46dfa11ecd3c507187eebbd6784c09d736737255 (diff)
Node: Fix regression - Installing in ubuntu 18.04 (#319)
Node: Fix regression https://github.com/devcontainers/features/issues/317
Diffstat (limited to 'src/node/install.sh')
-rwxr-xr-xsrc/node/install.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/src/node/install.sh b/src/node/install.sh
index 9b027d8..4c02c95 100755
--- a/src/node/install.sh
+++ b/src/node/install.sh
@@ -83,8 +83,10 @@ export DEBIAN_FRONTEND=noninteractive
. /etc/os-release
if [[ "bionic" = *"${VERSION_CODENAME}"* ]]; then
- echo "(!) Unsupported distribution version '${VERSION_CODENAME}'. Details: https://github.com/nodejs/node/issues/42351#issuecomment-1068424442"
- exit 1
+ if [[ "${NODE_VERSION}" =~ "18" ]] || [[ "${NODE_VERSION}" = "lts" ]]; then
+ echo "(!) Unsupported distribution version '${VERSION_CODENAME}' for Node 18. Details: https://github.com/nodejs/node/issues/42351#issuecomment-1068424442"
+ exit 1
+ fi
fi
# Install dependencies